#
reset
contract_rate = 1
#set data style lines
set terminal x11 enhanced font "arial,12" title "BeSke farm manager monitor (UNIPI-ISTI)"
unset mouse
# format
set timefmt "%s"
set xdata time
set format y "%4.1f"
set grid
set key right bottom
#set key off
set multiplot
#set xlabel "time"
# Top - throughput
set ylabel "Throughput"
set size 1,0.5
set origin 0,0.5
set border 10
plot "/tmp/farm-status.log"  using ($1/1000):2 with lines title  "monitor" lw 4 lt 4, contract_rate with points title "contract (>)" pt 3
# Bottom - workers
#set key off
set origin 0,0
set size 1,0.5
set ytics 1
set xlabel "Time"
set ylabel "n. of workers"
plot "/tmp/farm-status.log"  using ($1/1000):3 with lines title  "# workers" lw 2
unset multiplot
pause 5
reread