#
reset
#
low_wm = 50
high_wm = 70
# term
set terminal x11 enhanced font "arial,14" title "BeSke DP manager monitor (UNIPI-ISTI)"
unset mouse
# format
set timefmt "%s"
set xdata time
set format y "%4.0f"
#set format x "%.0f"
set grid
#set key left bottom
set key off
set multiplot
#set xlabel "time"
# Plot 2
set ylabel "data per worker"
set size 1,0.25
set origin 0,0.5
set border 10
plot high_wm with filledcurves y1=low_wm lt 5, "/tmp/map-status.log"  using ($1/1000):3 with lines title  "dataset" lw 2 lt 1
# Plot 3 - workers
set key off 
set origin 0,0.25
set size 1,0.25
set ytics 1
set xlabel "time"
set ylabel "# workers"
#set format x "%d/%m\n%H:%M"
plot "/tmp/map-status.log"  using ($1/1000):4 with lines title  "workers" lw 2
# Plot 1 - dataset
#set format x "%m"
set key right bottom
set origin 0,0.75
set size 1,0.25
unset xlabel
set ylabel "dataset"
set ytics autofreq
plot "/tmp/map-status.log"  using ($1/1000):($3*$4) with lines title  "monitor" lw 4 lt 4
# Plot 4 - Service time
set origin 0,0.0
set size 1,0.25
set ylabel "seconds"
set key top right
plot "/tmp/map-status-time.log"  using ($1/1000):($2/1000) with lines title  "ServiceTime" lw 2 lt 6
unset multiplot
pause 5
reread