package gridcomp;

import org.objectweb.proactive.core.component.controller.MonitorController;

import gridcomp.controller.AutonomicController;
import gridcomp.controller.BeskeAttributeController;

public interface Constants extends org.objectweb.proactive.core.component.Constants
{
	public final static String AUTONOMIC_CONTROLLER       = AutonomicController.CONTROLLER_NAME;
	public final static String BESKE_ATTRIBUTE_CONTROLLER = BeskeAttributeController.CONTROLLER_NAME;
    public final static String MONITOR_CONTROLLER         = MonitorController.CONTROLLER_NAME;
    public final static long MANAGER_SLEEP_TIME = 2000;
    public final static String MANAGER_CLIENT_ITF_TO_AUTONOMIC_CONTROLLER = "client-"+AUTONOMIC_CONTROLLER;
    public final static String MANAGER_CLIENT_ITF_TO_BESKELETON_CONTROLLER = "client-"+BeskeAttributeController.CONTROLLER_NAME;
}
