package gridcomp.manager.map.impl;

import java.beans.PropertyChangeSupport;

import gridcomp.manager.AbstractAutonomicManager;
import gridcomp.manager.beans.AbstractQoSItemBean;

public class NumWorkerBean extends AbstractQoSItemBean<Integer>{
	 private int value;
	 private final PropertyChangeSupport changes = new PropertyChangeSupport( this );
	   
	public NumWorkerBean(AbstractAutonomicManager manager, Integer workers){
		super.manager = manager;
		this.value = workers.intValue();
	}
	
	@Override
	public String getMonitoringInteface() {
		return getMonitoringInteface();
	}

	public Integer getValue() {
		return new Integer(value);
	}
	@Override
	public void setMonitoringInteface(String s) {
		String oldValue = s;
		changes.firePropertyChange("value", oldValue, monitoringInteface);
		monitoringInteface = s;
	}

	public void setValue(Integer item) {
		double oldValue = value;
		value = item.intValue();
		System.out.println("[Bean] NEW VALUE =========== "+value);
		changes.firePropertyChange("value", oldValue, value);
	}

}
