package gridcomp.manager.map.impl;

import java.beans.PropertyChangeSupport;

import gridcomp.manager.AbstractAutonomicManager;
import gridcomp.manager.beans.AbstractQoSItemBean;

public class PartitionSizeBean extends AbstractQoSItemBean<Double>{
	 private double value;
	 private final PropertyChangeSupport changes = new PropertyChangeSupport( this );
	   
	public PartitionSizeBean(AbstractAutonomicManager manager, Double value){
		super.manager = manager;
		this.value = value.doubleValue();
	}
	@Override
	public String getMonitoringInteface() {
		return getMonitoringInteface();
	}

	public Double getValue() {
		return new Double(value);
	}
	@Override
	public void setMonitoringInteface(String s) {
		String oldValue = s;
		changes.firePropertyChange("value", oldValue, monitoringInteface);
		monitoringInteface = s;
	}

	public void setValue(Double item) {
		double oldValue = value;
		value = item.doubleValue();
		System.out.println("[Bean] NEW VALUE =========== "+value);
		changes.firePropertyChange("value", oldValue, value);
	}

}
