package gridcomp.manager.operation;

import gridcomp.controller.AutonomicController;
import gridcomp.manager.operations.ManagerCommand;
import gridcomp.map.controller.operation.MapAddWorker;
import java.util.logging.Logger;

public class MapAddExecutorCommand implements ManagerCommand {

	private AutonomicController abc;
	public static final String NAME_PREFIX = "slave-1";
	private String workerName;
	private Logger logger = Logger.getLogger(MapAddExecutorCommand.class.getName());
	String padPath=null;
	public MapAddExecutorCommand(AutonomicController abc, String workerName, String padPath)
	{
		this.abc = abc;
		this.workerName = workerName;
		this.padPath = padPath;
	}
	public void execute() {
		abc.execOperation(MapAddWorker.OPNAME, workerName,this.padPath);
    	logger.info("Executing MapAddWorker: adding worker with name " + workerName);
	}
	public void setData(Object data) {}
	public Object getData() {return null;}

}
