package gridcomp.manager.operation;
import java.util.logging.Logger;
import gridcomp.controller.AutonomicController;
import gridcomp.manager.operations.ManagerCommand;
import gridcomp.map.controller.operation.MapSubWorker;

public class MapSubExecutorCommand implements ManagerCommand {
	private AutonomicController abc;
	private Logger logger = Logger.getLogger(MapAddExecutorCommand.class.getName());
	private String workerName =null;
	
	public MapSubExecutorCommand(AutonomicController managedAutonomicController, String wn) {
		this.abc = managedAutonomicController;
		this.workerName = wn;
	}
	public void execute() {
		if (workerName != null)
		{
			logger.info("Removing component worker named " + workerName);
			abc.execOperation(MapSubWorker.OPNAME, workerName);	
		} else
		{
			logger.info("MapSubExecutorCommand failed!");
		}

	}
	public void setData(Object data) {}
	public Object getData() {return null;}

}
