package gridcomp.example.active.dicom.gui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Frame;
import java.awt.Image;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;

import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.border.Border;
import javax.swing.border.BevelBorder;
import javax.swing.border.CompoundBorder;
import javax.swing.border.EmptyBorder;


public class ImageDialog extends JDialog {
	public ImageDialog(Image img)
	{
		super();
		setResizable(false);
		draw(img);
	}
	private void draw(Image img)
	{
		JLabel myfoto = new JLabel();
		myfoto.setIcon(new ImageIcon(img));
		JPanel p = new JPanel();
		Border b1 = new BevelBorder(BevelBorder.LOWERED);
		Border b2 = new EmptyBorder(5,5,5,5);
		myfoto.setBorder(new CompoundBorder(b1,b2));
		p.add(myfoto);
		getContentPane().add(p, BorderLayout.WEST);
		String message = "Behavioural Skeleton\n\nDICOM Analysis Use-Case\n\n(c)2008 Universita di Pisa  \nGridComp Project";
		JTextArea txt = new JTextArea(message);
		txt.setEditable(false);
		txt.setFont(new Font("Helvetica",Font.BOLD,12));
		txt.setBackground(getBackground());
		p = new JPanel();
		p.setLayout(new BoxLayout(p,BoxLayout.Y_AXIS));
		p.add(txt);
		final JButton okButton = new JButton("OK");
		p.add(okButton);
		ActionListener lst = new ActionListener() {
		  public void actionPerformed(ActionEvent e)
		  {
			dispose();  
		  }
		};
		okButton.addActionListener(lst);
		getContentPane().add(p, BorderLayout.CENTER);
		
	}
	
}
