package gridcomp.usescase.dicom.sequential;


import java.awt.image.*;
import java.io.*;
import java.util.ArrayList;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class Emitter extends JFrame {

    Container frameContainer = null;

    public Emitter() {
	frameContainer = getContentPane();
	return;
    }
    


    public void doImage(int[] ims,int w, int h) {
	//setupEventHandlers();
	setSize(300,300);
	MemoryImageSource mis = new MemoryImageSource(w, h,ims, 0, w);
	ImagePanel imagePanel = new ImagePanel(null,null);
	imagePanel.image = 
	    Toolkit.getDefaultToolkit().createImage(mis);
	frameContainer.add(imagePanel, BorderLayout.CENTER);
	imagePanel.repaint();
 	show();
   }

   
    public static void main(String [] args) {
	DicomDecoder DD = new DicomDecoder();
	File dir = new File("resources");
	File[] files = dir.listFiles();
	int quanti_task = files.length < 99 ? files.length : 99;
	int h = 0;
	int w = 0;
	Segmenter segmenter = new Segmenter();
    
	ArrayList<ByteArrayInputStream> resultSet = new ArrayList<ByteArrayInputStream>();    
	long t1 = System.currentTimeMillis();

	for(int f=0; f<quanti_task; f++) {
		boolean readAble = (files[f]!=null) && files[f].exists() && files[f].canRead() && 
			!(files[f].getName().startsWith(".") || files[f].getName().startsWith(".."));
			
		if (readAble)
		{
		DD.getImageToDisplay(files[f].getAbsolutePath());
	    w = DD.getWid();
	    h = DD.getHe();
	    short [] pixels = new short[w*h];
	    byte [] b = new byte[w*h];
	    pixels = DD.getIntValue();    // lettura non normalizzata
	    int max = 0;
	    for (int i=0;i<(w*h);i++)     // normalizzazione
		if (pixels[i]>max) 
		    max=pixels[i];
	    for (int i=0;i<(w*h);i++) 
		b[i]=(byte)((pixels[i]*255)/max);
		//segmenter.execTask(b);
	    resultSet.add(new ByteArrayInputStream(segmenter.execTask(b)));
		}
	}
	return;
    }

}

