package gridcomp.example.active.mandelbrot;

import java.awt.Color;

import javax.swing.JFrame;

public class Output implements LineCollector
{
    private Color[][] colorVector = new Color[Input.dimension][Input.dimension];
    private MandelbrotJComponent mandelJ = null;
    private boolean init = false;
    private int counter = 0;
    
    public Output()
    {    
    }
    
    public void commitLine(Color[] line, int index)
    {
        if (!init) {
            init = true;
            JFrame f = new JFrame("Mandelbrot");
            f.setSize(Input.dimension + 10,Input.dimension + 10);
            mandelJ = new MandelbrotJComponent();
            f.getContentPane().add(mandelJ);
            f.setVisible(true);
        }
        
        colorVector[index] = line;
        mandelJ.setColorMatrix(colorVector);
        mandelJ.repaint();
        System.err.println("Line " + ++counter + " processed in output stage");
    }
}
