 package gridcomp.example.statelessmap.impl;
/*
 * - farm migliorato/ingegn.to
 * - map con un esempio che giri x mercoledi 16 aprile ore 15.00
 * */
import gridcomp.map.Task;
import gridcomp.map.port.MulticastTestItf1;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import java.util.Random;
import org.objectweb.fractal.adl.Factory;
import org.objectweb.fractal.api.Component;
import org.objectweb.fractal.api.NoSuchInterfaceException;import org.objectweb.fractal.api.control.ContentController;
import org.objectweb.fractal.util.Fractal;
import org.objectweb.proactive.api.PADeployment;
import org.objectweb.proactive.core.descriptor.data.ProActiveDescriptor;

public class Main{
 	private static final long serialVersionUID = 1L;

	
    public static void main(String[] args) throws NoSuchInterfaceException, Exception {
    
        Factory f = org.objectweb.proactive.core.component.adl.FactoryFactory.getFactory();
        Map context = new HashMap();
        
        String actualtestcase = "";
        int p = 60;
      
        int numworkers=0;
        System.out.println("///////////////////////////////////////////////////////////");
        System.out.println(" Runnning on a dataset of "+p+" tasks......................");
        System.out.println("///////////////////////////////////////////////////////////");
        System.out.println("[Main] Deploying the application...........................");

        // testcase with no gathering interfaces 
       // context.put("worker", "doublemulticast.adl.server");
        actualtestcase = new String("gridcomp.example.statelessmap.adl.testcase");
        String padPath = args[1];
        ProActiveDescriptor pad = PADeployment.getProactiveDescriptor(args[1]);
        context.put("deployment-descriptor", pad);
        //context.put("worker", "gridcomp.example.statelessmap.adl.server");
        context.put("worker", args[2]);
        
        context.put("rulespath", args[0]);
        context.put("padPath", padPath);
        Component testcase = (Component) f.newComponent(actualtestcase,context);
        numworkers = get_workers(testcase);
		System.out.println("[Main] Start the applicationon onto "+numworkers+" workers...");
        
        Fractal.getLifeCycleController(testcase).startFc();
        Producer root = (Producer) testcase.getFcInterface("runTestItf");
        root.startApp(p,numworkers);
    }


	private static int get_workers(Component testcase) {
		int ret=0;
		ContentController cc3;
		MulticastTestItf1 cc1=null;
		ContentController cc=null;
		try {
			cc = (ContentController) testcase.getFcInterface("content-controller");
		} catch (NoSuchInterfaceException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}	
		for (int i=0;i<cc.getFcSubComponents().length;i++){
			Component comp = cc.getFcSubComponents()[i];
			try {
				cc1 = (MulticastTestItf1) comp.getFcInterface("multicastServerItf-01");
				cc3 = (ContentController) comp.getFcInterface("content-controller");
				ret  =cc3.getFcSubComponents().length-1;
				break;
			} catch (NoSuchInterfaceException e) {}
		}
		
		return ret;
	}

}
