package gridcomp.controller;

import gridcomp.AutonomicException;
import gridcomp.operation.FarmBalanceWorkers;
import gridcomp.operation.FarmSubWorker;
import org.objectweb.fractal.api.Component;

public class BalancingFarmController extends FarmController
{
	private static final long serialVersionUID = 1L;

	public BalancingFarmController(Component owner) throws AutonomicException
    {
        super(owner);
        addAutonomicOperation(FarmBalanceWorkers.OPNAME, new FarmBalanceWorkers(this));
        addAutonomicOperation(FarmSubWorker.OPNAME, new FarmSubWorker(this));
    }    
}
