package gridcomp.manager.operations;

import gridcomp.controller.AutonomicController;
import gridcomp.controller.BeskeAttributeController;
import gridcomp.operation.FarmBalanceWorkers;

public class FarmBalanceCommand implements ManagerCommand {
	private AutonomicController abc;
	private Object data;
    
	public FarmBalanceCommand(AutonomicController managedAutonomicController) 
	{
		this.abc = managedAutonomicController;
	}

	public void execute() {
    	abc.execOperation(FarmBalanceWorkers.OPNAME);
	}

	public void setData(Object data) {
	  this.data = data;	
	}

	public Object getData() {
		return this.data;
	}

}
