package gridcomp.manager.gui;

import java.awt.Graphics;
import java.awt.Image;

import javax.swing.JPanel;

public class ImagePanel extends JPanel
{
  private Image img = null;
public ImagePanel()
{}
 public ImagePanel (Image img)
  { this.img = img; }
public void setImage(Image img)
{
	this.img = img;
	if (img!=null)
		repaint();
}
  public void paintComponent (Graphics g) {
   super.paintComponent (g);
if (img !=null)
{
   // Use the image width & height to find the starting point
   int imgX = getSize ().width/2 - img.getWidth (this);
   int imgY = getSize ().height/2 - img.getHeight (this);

   //Draw image centered in the middle of the panel    
   g.drawImage (img, imgX, imgY, this);
}
  } // paintComponent

} 
