package gridcomp.manager.gui;


import javax.swing.JFrame;
import javax.swing.SwingUtilities;

import org.jfree.ui.RefineryUtilities;

public class ManagerMonitor {

	public static void main(String[] arg)
	{
		String farmStatus;
	   if (arg.length<1)
	   {
		   System.err.println("Monitor File path needed!");
		   System.exit(-1);
	   }  
	  
       farmStatus = arg[0];
	   double thresold = 0.0;
		ManagerMonitorModel model = new ManagerMonitorModelImpl();
	  // ManagerMonitorServer server = new ManagerMonitorServer(model);
	   ManagerMonitorFile monitorFile = new ManagerMonitorFile(model,farmStatus);
	   if ((arg.length==2) && (arg[1]!=null))
	   {
		   thresold = Double.parseDouble(arg[1]);
	   }
	   ManagerMonitorFrame xyseriesdemo1a = new ManagerMonitorFrame("Behavioral Skeleton Manager",model, thresold);
    //   model.addModelListener(xyseriesdemo1a);
	   xyseriesdemo1a.pack();
       RefineryUtilities.centerFrameOnScreen(xyseriesdemo1a);
       xyseriesdemo1a.setVisible(true);
	  }
}
