package gridcomp.manager.gui;

import java.util.EventObject;

public class ManagerMonitorEvent extends EventObject {
	private long time;
	private double rate;
	private int workers;
	private String methodName;
	public ManagerMonitorEvent(Object source) {
		super(source);
	}
	public ManagerMonitorEvent(Object source, long time, double rate, int workers, String methodName)
	{
		super(source);
		this.time = time;
		this.rate = rate;
		this.workers = workers;
		this.methodName = methodName;
		System.out.println("Event Monitor Manager with Rate = "+rate);
		System.out.println("Event Monitor Manager with Time = "+time);
		System.out.println("Event Monitor Manager with Method = "+methodName);
		System.out.println("Event Monitor Manager with Workers = "+workers);
		
	}
	public int getWorkers()
	{
		return this.workers;
	}
	public String getMethodName()
	{
		return methodName;
	}
	public double getRate()
	{
		return this.rate;
	}
	public long getTime()
	{
		return this.time;
	}
	/**
	 * 
	 */
	private static final long serialVersionUID = 7783522790999637252L;

}
