package gridcomp.manager.util;

import java.util.logging.Formatter;
import java.util.logging.Handler;
import java.util.logging.LogRecord;

public class MyMonitorFormatter extends Formatter {
	private String myheader;
	
	public MyMonitorFormatter (String h){
		myheader = h;
	}
	
    public String format(LogRecord rec) {
        StringBuffer buf = new StringBuffer(1000);
        buf.append(formatMessage(rec));
        return buf.toString();
    }

    public String getHead(Handler h) {
        return myheader;
    }

    public String getTail(Handler h) {
        return "#--- end ---\n";
    }
}
