package gridcomp.manager.util;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.ArrayList;
import java.util.regex.*;
/* this class simply paerse the command line inorder to find 
 * the string methodMonitor and retrive which methods the manager 
 * should monitor.
 */
public class RulesParser {
	    public static final String PATTERN_STR = "^\\[\\s*methodMonitor\\s*=\\s*\".*\"";
        private ArrayList<String> methods = new ArrayList<String>();
	    private ArrayList<String> createTuple(String inputStr) {
            // Compila l'espressione regolare
            Pattern pattern = Pattern.compile(PATTERN_STR);
            ArrayList<String> list = new ArrayList<String>();
            // Determina se il pattern esiste in input
            Matcher matcher = pattern.matcher(inputStr);
            boolean matchFound = matcher.find();
            if (matchFound)
            {
            	String tmp0 = inputStr.substring(1, inputStr.length()-1);
            	String[] arg = tmp0.split("\\s*=\\s*");
            	for (String t: arg)
            	{
            		list.add(t);
            	
            	}
            	return list;
            }
            return null;
            }
	    	public ArrayList<String> getMethodsNames()
	    	{
	    		return methods;
	    	}
        	public String parse(String path)
        	{
        		ArrayList<String> list;
        		File file = (new File(path)).getAbsoluteFile();
        		StringWriter writer = new StringWriter();
        		PrintWriter output = new PrintWriter(writer);
				String outputStr ="";
        		try {
        			FileInputStream stream = new FileInputStream(file);
					BufferedReader reader = new BufferedReader(new InputStreamReader(stream));
				    Pattern pattern = Pattern.compile(PATTERN_STR);
			        String line="";
				    while ((line=reader.readLine())!=null) {
				    	
				    Matcher matcher = pattern.matcher(line.trim());
			        boolean matchFound = matcher.find();
			        if (matchFound) {
			        	
			        	ArrayList<String> tmpLine = null;
			        	tmpLine = createTuple(line);
			        	if (tmpLine.size()==2)
			        	{
			        		methods.add(tmpLine.get(1));
			        		tmpLine = null;
			        	}
			        
			        } else {
			        	output.println(line);
			           }
			        }
			           
				} catch (IOException e) {
					e.printStackTrace();
				}
        	 	outputStr = writer.toString();
	        	try {
					writer.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
	    
	        	return outputStr;
            }
}  	