#!/usr/bin/perl
#

#
# programma per l'esecuzione di comandi in remoto su tutti i nodi del cluster
# by marcod 2000 
# uso
# tutti.pl [-pentium] [-celeron] [-macchine filemacchine] comando [opzioni]
#

if ($#ARGV == -1) {
    print "tutti.pl  [-macchine filemacchine] comando [opzioni]\n";
    exit;
}

# lista di tutti i nodi della macchina
# lista dei soli nodi pentium II
#@tutti = ("u3","u4","u5","u6","u7","u8","u9","u10","u11","u12","u13","u14","u15","u16","u17","u18","u19","u20","u21","u22","u23","u24");

#@tutti = ( "t3","t4","t5","t6","t7","t8","t9","t10","t11","t12","t13","t14","t15","t16","t17","t18","t19","t20","t21","t22","t23","t24","t25","t26","t27","t28","t29","t30","t31","t32","t33","t34");
# u15  ripristinato, u24 disabilitato
#@tutti = ( "t3","t4","t5","t6","t7","t8","t9","t10","t11","t12","t13","t14","t15","t16","t17","t18","t19","t20","t21","t22","t23","t25","t26","t27","t28","t29","t30","t31","t32","t33","t34");

#open FD, $ENV{"OAR_FILE_NODES"} or die "Abort - OAR_FILE_NODES not defined\n";
#@tutti = ();
#while(<FD>) {
#            if (/(.*)\n/) {
#                chop;
#            }
#            @tutti = (@tutti,$_);
#}
#close FD;
#print "Nodi destinazione: ";
#foreach $m (@tutti) {
#    print "$m ";
#}
#print "\n";



# comando da eseguire
$comando = "";

# per default lavora su tutti i nodi
@nodi = @tutti;

# analisi parametri
for($i=0;$i<@ARGV;$i++) {
    #print "Analisi parametro $ARGV[$i]\n";
    if($ARGV[$i] eq "-macchine") {
	$i++;
	open FD, "$ARGV[$i]" or die "Cannot open machinefile $ARGV[$i]\n";
	@nodi = ();
	while(<FD>) {
	    if (/(.*)\n/) {
		chop;
	    }
	    @nodi = (@nodi,$_);
	}
	close FD;
	print "Nodi destinazione: ";
	foreach $m (@nodi) {
	    print "$m ";
	}
	print "\n";
	next;
    }
    $comando = $comando." ".$ARGV[$i];
}

print "Sto per eseguire il comando: $comando\n";

foreach $n (@nodi) {
    
    print "Sul nodo $n: $comando\n";
#    $out = `ssh -l oar -i ~/mykey -p 6667  $n $comando`;
    $out = `ssh $n $comando`;   
    print "$out";
}
exit;
# fine lavori;

