package gridcomp.adl;

import java.util.HashMap;

import org.objectweb.fractal.adl.ADLException;
import org.objectweb.fractal.adl.Factory;

public class FactoryFactory 
{
    public final static String GRIDCOMP_BACKEND = "gridcomp.adl.GridcompBackend";
    public final static String GRIDCOMP_FACTORY = "gridcomp.adl.GridcompFactory";

    private FactoryFactory() 
    {
    }

    @SuppressWarnings("unchecked")
	public static Factory getFactory() throws ADLException 
    {
        return org.objectweb.fractal.adl.FactoryFactory.getFactory(GRIDCOMP_FACTORY, GRIDCOMP_BACKEND, new HashMap());
    }
}
