package gridcomp.log;
import org.apache.log4j.Level;
public class GridCOMPLevel extends Level {
	 
	 protected GridCOMPLevel(int gridcomp2, String levelStr, int syslogEquivalent) {
		super(gridcomp2, levelStr, syslogEquivalent);
	}

	private static final long serialVersionUID = 0L;

	public static final int GRIDCOMP_INT = INFO_INT - 10; 
	  /** 
	  * {@link Level} representing my log level 
	  */ 
	 public static final Level GRIDCOMP = new GridCOMPLevel(GRIDCOMP_INT,"GRIDCOMP",7);
	 public static Level toLevel(String sArg) {
         if (sArg != null && sArg.toUpperCase().equals("GRIDCOMP")) {
             return GRIDCOMP;
         }
         return (Level) toLevel(sArg, Level.DEBUG);
     }
	 public static Level toLevel(String sArg, Level defaultLevel) {     
	        if(sArg != null && sArg.toUpperCase().equals("GRIDCOMP")) {
	            return GRIDCOMP;
	        }
	        return Level.toLevel(sArg,defaultLevel);
	 }
	
}