package gridcomp.test;

import gridcomp.log.Loggers;

import org.apache.log4j.Logger;

public class Dummy implements I
{
    private static final Logger logger = Logger.getLogger(Loggers.OPERATION_TEST);
    private int void_count = 1;
    private int obj_count = 1;
    
    private static int num = 0;
    private int who = -1;
    
    public synchronized void voidCall() 
    {
    	if (who == -1) who = ++num;
        logger.info("Dummy("+ who +")::void::start (" + void_count + ")");
        try {
            Thread.sleep(1000);
        } catch (InterruptedException _) {}
        logger.info("Dummy("+ who +")::void::stop (" + void_count++ + ")");
    }

    public synchronized Object objectCall()
    {
    	if (who == -1) who = ++num;
        logger.info("Dummy("+ who +")::object::start (" + obj_count + ")");
        try {
            Thread.sleep(1000);
        } catch (InterruptedException _) {}
        logger.info("Dummy("+ who +")::object::stop (" + obj_count++ + ")");
        return "object";
    }
}
