package org.objectweb.proactive.core.component;

public interface Constants 
{
    public final static String CONTENT_CONTROLLER = "content-controller";
    public final static String LIFECYCLE_CONTROLLER = "lifecycle-controller";
    public final static String BINDING_CONTROLLER = "binding-controller";
    public final static String COMPONENT_PARAMETERS_CONTROLLER = "component-parameters-controller";
    public final static String NAME_CONTROLLER = "name-controller";
    public final static String ATTRIBUTE_CONTROLLER = "attribute-controller";
    public final static String SUPER_CONTROLLER = "super-controller";
    public final static String MULTICAST_CONTROLLER = "multicast-controller";
    public final static String GATHERCAST_CONTROLLER = "gathercast-controller";
    public final static String MIGRATION_CONTROLLER = "migration-controller";
    public final static String COMPONENT = "component";
    public final static String CYCLIC_NODE_SUFFIX = "-cyclicInstanceNumber-";
    public final static String MEMBRANE_CONTROLLER = "membrane-controller";
    public final static String REQUEST_PRIORITY_CONTROLLER = "request-priority-controller";
    // START PATCH
    public final static String REQUEST_QUEUE_CONTROLLER = "request-queue-controller";
    // END PATCH
    public final static String CONTROLLER = "controller";

    // hierarchical types of component
    public final static String COMPOSITE = "composite";
    public final static String PRIMITIVE = "primitive";
    public final static String PARALLEL = "parallel";
    public final static boolean SYNCHRONOUS = true;
}
