package gridcomp.map;
/*checked version*/
import java.util.ArrayList;
import java.util.List;

public class Partition {

	public static List<Object> split(List<?> inputParameter, int numpartition){
		
		if (inputParameter==null)
			return null;
		
		int[] lenArray = new int[numpartition]; // array of partitions' lenghts
		for (int i=0;i<lenArray.length;i++)
			lenArray[i] = 0;
		int oddpartition = 	inputParameter.size()%numpartition;
    	for (int i=0;i<lenArray.length;i++)
    		lenArray[i] = inputParameter.size()/numpartition;
    	for (int i=0;i<oddpartition;i++)
    		lenArray[i] = lenArray[i]+1;

    	/*System.out.println("Array delle lunghezze:");
    	for (int i=0;i<lenArray.length;i++)
    		System.out.print(" "+lenArray[i]);
    	System.out.println();
    	*/
    	List<Object> r = new ArrayList<Object>();
    	int j=0;
    	int base = 0;
    	for (;j<numpartition;j++){
    		// create a partition
    		List<Object> partition = makePartition(inputParameter,base,lenArray[j]);
    		base = base+lenArray[j];
    		// store the partition in the result List
    		r.add(partition);
    	}
		//showpartitions(r);
    	return r;
	}
	
	
	private static List<Object> makePartition(List<?> inputParameter,int base, int partlen){
	//	System.out.println("Da creare partizione lunga "+partlen+" da base="+base);
		List<Object> content=new ArrayList<Object>();
		if (base+partlen <= inputParameter.size())
			for (int i = 0; i < partlen; i++) 
				content.add(inputParameter.get(base+i));
		//System.out.println("Creata partizione lunga "+partlen+" da "+base+" con "+content.size());
		return content;
	}
	
	public static List<Object> collapse(List<Object> lst){
		if (lst==null)
			return null;
		else{
			List<Object> res = new ArrayList<Object>();
			for (int i=0;i<lst.size();i++){
				List l = (List) lst.get(i);
				for (int j=0;j<l.size();j++)
					res.add(l.get(j));
			}
			return res;
		}
	}


	public static void showpartitions(List<Object> lo) {
		for (int i=0;i<lo.size();i++){
			List part = (List) lo.get(i);
			Task first =(Task)part.get(0);
			Task last = (Task)part.get(part.size()-1);
			System.out.println("Partition "+i+": ["+first.getObject()+"-"+last.getObject()+"]");
			
			/*
			for (int j=0;j<part.size();j++){
				if (j<(part.size()-1))
					System.out.print(((Task)part.get(j)).getObject()+", ");
				else
					System.out.print(((Task)part.get(j)).getObject()+"]");
			}*/
		}
			
		
	}
}
