package gridcomp.map;

import java.io.Serializable;
import java.util.List;

public class Task implements Serializable{
	
	private static final long serialVersionUID = 1L;
	private Object content;
	private boolean isPrimitive=true;
	public Task(){}
	public Task(List<Object> part_content){
		content = part_content;
		isPrimitive=false;
	}
	public boolean isPrimitive(){
		return isPrimitive;
	}
	public Task(String msg){
		content = msg;
	}
	public Task(Integer i){
		content =i;
	}
	public Object getObject(){
		return content;
	}
	public int size(){
		if (content instanceof List)
			return ((List) content).size();
		else
			return 1;
	}
	
	   /*
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {

        if (obj instanceof Task) {
            return content.equals(((Task)obj).getObject());
        }
        return false;
    }

    /*
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        return content.hashCode();
    }
    

	
}
