package gridcomp.map.controller.operation;
import java.util.List;

//import org.apache.log4j.Logger;
import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.proactive.core.component.identity.ProActiveComponent;

//import doublemulticast.controller.itf.ReconfigSupport;

import gridcomp.AutonomicException;
import gridcomp.controller.AutonomicController;
//import gridcomp.controller.ContextConstants;
import gridcomp.controller.KnowledgeConstants;
import gridcomp.map.Task;
import gridcomp.operation.AbstractAutonomicOperation;

public class SetWorkerStatus  extends AbstractAutonomicOperation{
	public static String OPNAME = "SetWorkerStatus";

	public SetWorkerStatus(AutonomicController mycontr){
		super(mycontr);
	}
	@Override
	protected void checkContext() throws AutonomicException {}

	@Override
	protected Object exec(Object... params) throws AutonomicException {
		ProActiveComponent _owner = (ProActiveComponent) (owner.getKnowledge().get(KnowledgeConstants.PARENT));
        String msg=null;
		ReconfigSupport rs =null;
		try {
			rs= (ReconfigSupport)_owner.getFcInterface("reconfig");
		} catch (NoSuchInterfaceException e) {
			e.printStackTrace();
		}
		if (params[0] instanceof List){
			msg = rs.setStatusAndReply((List<Task>) params[0]);
			System.out.println(msg);
		}else
			throw new AutonomicException();
		return null;
	}

}
