package gridcomp.autodeploy;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Map;
import java.util.Random;

import freemarker.template.Configuration;
import freemarker.template.DefaultObjectWrapper;
import freemarker.template.Template;
import freemarker.template.TemplateException;
import gnu.getopt.LongOpt;

public class DelayValue {

	/**
	 * @param args
	 */
	public void delay(long delayTime)
	{
		long start = 0;
		long end = 0;
		Random r = new Random();    
		long maxTime = delayTime;
		long t0 = System.currentTimeMillis();
		double d = 0;
		while (maxTime>(System.currentTimeMillis()-t0))
		{
			start = System.currentTimeMillis();
			for (int i = 0; i < Integer.MAX_VALUE; ++i)
			{
			
				d+=Math.sin(Math.cos(Math.sqrt(d)))+d;
				d = r.nextDouble();
			
			
			}
			end = System.currentTimeMillis();
			System.out.println("Times = "+(end-start));
		}
	}
	public static void main(String[] args) {
	  DelayValue value = new DelayValue();
	  value.delay(500);
	}

}
