package gridcomp.example.passive.dicom;



import java.util.Collection;
import java.util.concurrent.ConcurrentHashMap;

import javax.swing.JFrame;

import gridcomp.example.dicom.gui.ImageFrame;
import gridcomp.example.dicom.gui.ImageModel;
import gridcomp.example.dicom.gui.ImageModelImpl;

public class ImageCollector implements Collector {
	private ImageFrame _view;
	private ImageModel _model;
	private boolean init = false;
	private ConcurrentHashMap<Integer,byte[]> map = new ConcurrentHashMap<Integer,byte[]>();  
    public ImageCollector()
    {
    }
	public void collect(byte[] image, int idx) {
		if (!init)
		{
		init = true;
		_model = new ImageModelImpl();
    	_view = new ImageFrame("ImageViewer",_model);
    	_view.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		_view.setResizable(true);
		_view.setSize(1023, 768);
		_view.pack();
		_view.setVisible(true);
		}
	if (image.length > 1)
	{
    map.putIfAbsent(new Integer(idx), image);
	_model.addImage("Image_"+idx, image);
	}
	}
	public Collection getCollectedValues()
	{
		return map.values();
	}
	public void clearState() {
		/* Garbage collector stuff */
		map.clear();
		map = null;
	}

}
