package gridcomp.example.active.mandelbrot;

import java.util.HashMap;
import java.util.Map;
import java.util.Properties;


import org.objectweb.fractal.adl.Factory;
import org.objectweb.fractal.api.Component;
//import org.objectweb.fractal.api.control.ContentController;
import org.objectweb.fractal.util.Fractal;
import org.objectweb.proactive.api.PADeployment;
import org.objectweb.proactive.core.ProActiveException;
//import org.objectweb.proactive.core.component.Constants;
import org.objectweb.proactive.core.descriptor.data.ProActiveDescriptor;

public class Main 
{	
//	private static JFarm farmGUI = null;
	
    public static void main(String[] args) throws Exception 
    {
        ProActiveDescriptor pad = setupProActive();
        //= PADeployment.getProactiveDescriptor("local-deployment.xml");
        Map<String, Object> context = new HashMap<String, Object>(1);
        
        context.put("deployment-descriptor", pad);
        context.put("contractFile", args[0]);
        
        Factory fact = gridcomp.adl.FactoryFactory.getFactory();
        
        Component root =  (Component) fact.newComponent("gridcomp.example.active.mandelbrot.adl.root", context);
    	
        // Component farm = null;
        // ContentController cc = (ContentController) root.getFcInterface(Constants.CONTENT_CONTROLLER);
        /*
        Component comps[] = cc.getFcSubComponents();
        for (Component c: comps)
        	if (Fractal.getNameController(c).getFcName().equals("farm")) {
        		farm = c;
        		break;
        	}
		*/
       // createGraphicalInterface(farm, "lineserver");
        
        Fractal.getLifeCycleController(root).startFc();
    }
	private static ProActiveDescriptor setupProActive() throws ProActiveException
	{
		ProActiveDescriptor pad = null;
		   
    	Properties programProperties = System.getProperties();
        programProperties.setProperty("java.security.manager", new String());
        programProperties.setProperty("java.security.policy", "proactive.java.policy");
        programProperties.setProperty("fractal.provider", "org.objectweb.proactive.core.component.Fractive");
        programProperties.setProperty("log4j.configuration", "file:proactive-log4j");
      //  programProperties.setProperty("deployment.descriptor", "local-deployment.xml");
        System.setProperties(programProperties);
     
        System.setProperties(programProperties);
        pad = PADeployment.getProactiveDescriptor(System.getProperty("deployment.descriptor"));
		System.out.println("Loaded " + System.getProperty("deployment.descriptor"));
		pad.activateMappings();
		return pad;
	}

   /* private static void createGraphicalInterface(Component owner, String name)
   
    {
        JFrame frame = new JFrame("Autonomic Behavior Controller");
        frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        frame.setResizable(false);
        
        farmGUI = new JFarm(owner, name, true);
        frame.getContentPane().add(farmGUI);
        frame.pack();
        frame.setVisible(true);
    }
*/
}
