package gridcomp.manager.beans;

import java.beans.PropertyChangeSupport;


import gridcomp.manager.AbstractAutonomicManager;

public class ArrivalRateBean extends AbstractQoSItemBean<Double> {
    private double value;
    private final PropertyChangeSupport changes = new PropertyChangeSupport( this );
    
    public ArrivalRateBean(AbstractAutonomicManager manager, Double value)
    {
    	this.manager = manager;
    	this.value = value.doubleValue();
    }
    
	public Double getValue() {
		return new Double(value);
	}

	public void setValue(Double item) {
		double oldValue = value;
		value = item.doubleValue();
		changes.firePropertyChange("value", oldValue, value);
	}

	@Override
	public String getMonitoringInteface() {
	
		return monitoringInteface;
	}

	@Override
	public void setMonitoringInteface(String s) {
		String oldValue = s;
		changes.firePropertyChange("value", oldValue, monitoringInteface);
		monitoringInteface = s;
	}
}
