package gridcomp.manager.beans;

import java.beans.PropertyChangeSupport;


import gridcomp.manager.AbstractAutonomicManager;

public class NumWorkerBean extends AbstractQoSItemBean<Integer> {
    private int value;
    private final PropertyChangeSupport changes = new PropertyChangeSupport( this );
    
    public NumWorkerBean(AbstractAutonomicManager manager, Integer value)
    {
    	this.manager = manager;
    	this.value = value.intValue();
    }
    
	public Integer getValue() {
		return new Integer(value);
	}

	public void setValue(Integer item) {
		int oldValue = value;
		value = item.intValue();
		changes.firePropertyChange("value", oldValue, value);
	}

	@Override
	public String getMonitoringInteface() {
	
		return monitoringInteface;
	}

	@Override
	public void setMonitoringInteface(String s) {
		String oldValue = s;
		changes.firePropertyChange("value", oldValue, monitoringInteface);
		monitoringInteface = s;
	}
}
