import java.util.Random;

public class Stress {

public static void main(String[] args) {
	DelayValue dv = null;
	
	if (args.length != 1) {
		System.out.println("Stress time");
		return;
	}
	
	 if (dv == null)
	    {
	    	dv = new DelayValue();
	    	dv.profile(100);	
	    	
		}
	    
	    dv.delay( new Long(args[0]));
	
}
}

    class DelayValue {

	double classFactor = 3000.0;
	
	
	public void profile(int ms){
		
		long t0 = System.currentTimeMillis();
		int factor = 50000;
		
		for(int i=0;i<Integer.MAX_VALUE/factor;i++){
			
		     	
		    Math.sin(Math.cos(Math.sqrt(i+0.0)));
			
		}
		
		long timespent = System.currentTimeMillis() - t0;
		
		classFactor = (factor*timespent)/(ms+0.0);
		
	}
	
	/**
	 * @param args
	 */
	public void delay(long ttw) {
		
		//m.profile(100);
		
		long t0 = System.currentTimeMillis();
		
		// System.out.println("I will wait for: "+ttw);
		
		while(System.currentTimeMillis() - t0 < ttw){
			
			
			for(int i=0;i<Integer.MAX_VALUE/classFactor;i++){
				
				
				Math.sin(Math.cos(Math.sqrt(i+0.0)));
				
			}
			
			
		}
	}


}
