/* System libraries */


#include "optparse.h"
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#ifndef FAILED
#define FAILED -1
#endif

opt_values opt_assign(int argc, char **argv, opt_flags *bl_flags)
{
extern char *optarg;
extern int optind;
char opt;
opt_values bl_vals;
char time_delay[20];
/* if you put -d delay
 * and if you put -s you'll get 100% CPU
 */
bl_vals.stress = 0;
bl_vals.delaytime = 0;
while ((opt = getopt (argc, argv, "d:s")) != -1)
    {
      switch (opt)
	{

	case 'd':
	  {
	    strncpy(time_delay, optarg, sizeof (time_delay)-1);
	    time_delay[sizeof (time_delay)-1]='\0';
	    bl_vals.delaytime  = atol (time_delay);
	    if (bl_vals.delaytime < 1)
	      {
	    	fprintf (stderr, "Delay value incorrect!\n");
	    	exit (FAILED);
	      }
	    bl_flags->delay_time = 1;
	    break;

	   }
	case 's':
		  {
		   bl_vals.stress = 1;
		   bl_flags->really_stress = 1;
		    break;

		   }
	default:
	  opt_usage ();
	  /* NOTREACHED */
	}
    }
return bl_vals;
}
void
opt_usage (void)
{
  fprintf (stderr,
	   "cpustress 0.01.\n usage: \n cpustress -d timedelay\n");
  exit (FAILED);
}

void
opt_flags_flush(opt_flags * flags)
{
 flags->delay_time = -1;
 flags->really_stress = -1;
}
void opt_values_flush(opt_values *values)
{
values->stress = 0;
values->delaytime = 0;
} 

